%define anolis_release 33

Summary:	General purpose dynamic array
Name:		Judy
Version:	1.0.5
Release:	%{anolis_release}%{?dist}
License:	LGPL-2.0-or-later
URL:		http://sourceforge.net/projects/judy/
Source0:	http://downloads.sf.net/judy/Judy-%{version}.tar.gz
Source1:	README.distro
Patch0:		Judy-1.0.4-test-shared.patch
Patch1:		Judy-1.0.4-fix-Judy1-mans.patch
Patch2:		04_fix_undefined_behavior_during_aggressive_loop_optimizations.patch
Patch3:		judy-1.0.5-parallel-make-symlink-man-pages.patch

BuildRequires:	coreutils gawk gcc >= 4.1 sed
BuildRequires:	autoconf automake libtool make

%description
%{name} is a general purpose dynamic array implemented as a C callable library.
Judy's speed and memory usage are typically better than other data storage
models and improves with very large data sets.

%package devel
Summary:	Development libraries and headers for Judy
Requires:	%{name} = %{EVR}

%description devel
This package contains the development libraries and header files
for developing applications that use the Judy library.

%package doc
Summary: Doc files for %{name}
Requires: %{name} = %{EVR}
Buildarch: noarch

%description	doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1 -n judy-%{version}
cp -p %{SOURCE1} .

%build
export CFLAGS="%{optflags} -fno-strict-aliasing"
autoreconf -fi
%configure --disable-static
%make_build

%install
%make_install

# delte empty files in doc tree
find doc -empty -delete

%{generate_compatibility_deps}

%check
pushd test
./Checkit
popd

%files
%license COPYING README.distro
%{_libdir}/libJudy.so.1
%{_libdir}/libJudy.so.1.*
%dir %{abidir}
%{abidir}/libJudy.dump

%files devel
%doc doc examples
%{_includedir}/Judy.h
%{_libdir}/libJudy.so
%{_mandir}/man3/J*.3*

%files doc
%doc AUTHORS ChangeLog README

%changelog
* Fri Apr 14 2023 Kun(llfl) <llfl@linux.alibaba.com> - 1.0.5-33
- optimize spec file

* Tue Feb 7 2023 Funda Wang <fundawang@yeah.net> - 1.0.5-32
- Produce abi dump
- Add revised patch from gentoo to fix parallel build, and
  put correct symlink of man pages

* Tue Feb 7 2023 Funda Wang <fundawang@yeah.net> - 1.0.5-31
- Import package for anolis 23
